Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718976 - dev-python/{gcs-oauth2-boto-plugin,google-apitools,google-reauth-python}, net-misc/gsutil: still uses dev-python/oauth2client
Summary: dev-python/{gcs-oauth2-boto-plugin,google-apitools,google-reauth-python}, net...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 718972
  Show dependency tree
 
Reported: 2020-04-23 06:38 UTC by Michał Górny
Modified: 2020-04-23 06:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 06:38:05 UTC
oauth2client has been discontinued upstream and grows technical debt.  Please look into replacing it.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 06:38:52 UTC
The only revdep is net-misc/gsutil.  @chutzpah, @zmedico, wanna take this one?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 06:42:28 UTC
Same goes for google-apitools.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 06:43:58 UTC
...and google-reauth-python.  All three packages are needed only for gsutil, and along with gsutil are major blockers for oauth2client removal.